%define glib2_version 2.0.0
%define gtk2_version 2.0.0
%define libgnomeui_version 1.117.2
%define gnome_desktop_version 1.5.22
%define libwnck_version 0.13
%define libbonobo_version 2.0.0
%define libbonoboui_version 1.118.0
%define gnome_vfs2_version 1.9.16
%define bonobo_activation_version 1.0.0

Summary: GNOME panel
Name: gnome-panel
Version: 1.5.24
Release: 1
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-panel/%{name}-%{version}.tar.bz2
Source2: fixed-ltmain.sh
License: GPL 
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Obsoletes: gnome-core-devel gnome-core
Provides:  gnome-core

Requires: gnome-desktop >= %{gnome_desktop_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}

%description

The GNOME panel provides the window list, workspace switcher, menus, and other 
features for the GNOME desktop.

%prep
%setup -q

%build

rm ltmain.sh && cp %{SOURCE2} ltmain.sh

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="panel-global-config.schemas panel-per-panel-config.schemas mailcheck.schemas pager.schemas tasklist.schemas clock.schemas fish.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/pixmaps
%{_datadir}/gnome
# doesn't contain .desktop files anymore, apparently
#%{_datadir}/applications
%{_datadir}/idl
%{_datadir}/gnome-2.0
%{_datadir}/gnome-panel
%{_datadir}/gen_util
%{_datadir}/gtk-doc
%{_datadir}/omf
%{_datadir}/man/man*/*
%{_bindir}/*
%{_libdir}/bonobo
%{_libdir}/*.so.*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/sound

# theoretically a devel package, but just doesn't seem worth it
%{_libdir}/pkgconfig/*
%{_includedir}/panel-2.0
%{_libdir}/*.so


%changelog
* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.24
- ldconfig

* Mon Jun 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.23

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22
- provide gnome-core
- add a bunch of extra build requires so build system 
  won't get confused

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.19

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- add the keep-libtool-from-relinking hack so 
  we get the gen util applet

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- obsoletes gnome-core-devel
- include libdir/*.so

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- get libpanel-applet in the package

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


